<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EventWorkbookBuilder (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EventWorkbookBuilder (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EventWorkbookBuilder.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/AbortableHSSFListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>
            <a href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.html"
               target="_top">Frames</a></li>
        <li><a href="EventWorkbookBuilder.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.eventusermodel</div>
    <h2 title="Class EventWorkbookBuilder" class="title">Class EventWorkbookBuilder</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.eventusermodel.EventWorkbookBuilder</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">EventWorkbookBuilder</span>
extends java.lang.Object</pre>
                <div class="block">When working with the EventUserModel, if you want to
                    process formulas, you need an instance of
                    <a href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                       title="class in org.apache.poi.hssf.model"><code>InternalWorkbook</code></a> to pass to a <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                            title="class in org.apache.poi.hssf.usermodel"><code>HSSFWorkbook</code></a>,
                    to finally give to <a href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                          title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>,
                    and this will build you stub ones.
                    Since you're working with the EventUserModel, you
                    wouldn't want to get a full <a href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                                   title="class in org.apache.poi.hssf.model"><code>InternalWorkbook</code></a>
                    and
                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                       title="class in org.apache.poi.hssf.usermodel"><code>HSSFWorkbook</code></a>, as they would eat
                    too much memory.
                    Instead, you should collect a few key records as they
                    go past, then call this once you have them to build a
                    stub <a href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                            title="class in org.apache.poi.hssf.model"><code>InternalWorkbook</code></a>, and from that
                    a stub
                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                       title="class in org.apache.poi.hssf.usermodel"><code>HSSFWorkbook</code></a>, to use with the <a
                            href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                            title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>.

                    The records you should collect are:
                    * <a href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                         title="class in org.apache.poi.hssf.record"><code>ExternSheetRecord</code></a>
                    * <a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                         title="class in org.apache.poi.hssf.record"><code>BoundSheetRecord</code></a>
                    You should probably also collect <a href="../../../../../org/apache/poi/hssf/record/SSTRecord.html"
                                                        title="class in org.apache.poi.hssf.record"><code>SSTRecord</code></a>,
                    but it's not required to pass this in.

                    To help, this class includes a HSSFListener wrapper
                    that will do the collecting for you.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">EventWorkbookBuilder.SheetRecordCollectingListener</a></span></code>
                                    <div class="block">A wrapping HSSFListener which will collect
                                        <a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>BoundSheetRecord</code></a>s
                                        and <a href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                               title="class in org.apache.poi.hssf.record"><code>ExternSheetRecord</code></a>s
                                        as
                                        they go past, so you can create a Stub <a
                                                href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                                title="class in org.apache.poi.hssf.model"><code>InternalWorkbook</code></a>
                                        from
                                        them once required.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.html#EventWorkbookBuilder--">EventWorkbookBuilder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                        title="class in org.apache.poi.hssf.model">InternalWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.html#createStubWorkbook-org.apache.poi.hssf.record.ExternSheetRecord:A-org.apache.poi.hssf.record.BoundSheetRecord:A-">createStubWorkbook</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                        title="class in org.apache.poi.hssf.record">ExternSheetRecord</a>[]&nbsp;externs,
                                    <a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                                       title="class in org.apache.poi.hssf.record">BoundSheetRecord</a>[]&nbsp;bounds)</code>
                                    <div class="block">Creates a stub workbook from the supplied records,
                                        suitable for use with the <a
                                                href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                                title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                        title="class in org.apache.poi.hssf.model">InternalWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.html#createStubWorkbook-org.apache.poi.hssf.record.ExternSheetRecord:A-org.apache.poi.hssf.record.BoundSheetRecord:A-org.apache.poi.hssf.record.SSTRecord-">createStubWorkbook</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                        title="class in org.apache.poi.hssf.record">ExternSheetRecord</a>[]&nbsp;externs,
                                    <a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                                       title="class in org.apache.poi.hssf.record">BoundSheetRecord</a>[]&nbsp;bounds,
                                    <a href="../../../../../org/apache/poi/hssf/record/SSTRecord.html"
                                       title="class in org.apache.poi.hssf.record">SSTRecord</a>&nbsp;sst)</code>
                                    <div class="block">Creates a stub Workbook from the supplied records,
                                        suitable for use with the <a
                                                href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                                title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EventWorkbookBuilder--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EventWorkbookBuilder</h4>
                                <pre>public&nbsp;EventWorkbookBuilder()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createStubWorkbook-org.apache.poi.hssf.record.ExternSheetRecord:A-org.apache.poi.hssf.record.BoundSheetRecord:A-org.apache.poi.hssf.record.SSTRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createStubWorkbook</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                        title="class in org.apache.poi.hssf.model">InternalWorkbook</a>&nbsp;createStubWorkbook(<a
                                        href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                        title="class in org.apache.poi.hssf.record">ExternSheetRecord</a>[]&nbsp;externs,
                                                  <a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                                                     title="class in org.apache.poi.hssf.record">BoundSheetRecord</a>[]&nbsp;bounds,
                                                  <a href="../../../../../org/apache/poi/hssf/record/SSTRecord.html"
                                                     title="class in org.apache.poi.hssf.record">SSTRecord</a>&nbsp;sst)</pre>
                                <div class="block">Creates a stub Workbook from the supplied records,
                                    suitable for use with the <a
                                            href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                            title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>externs</code> - The ExternSheetRecords in your file</dd>
                                    <dd><code>bounds</code> - The BoundSheetRecords in your file</dd>
                                    <dd><code>sst</code> - The SSTRecord in your file.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A stub Workbook suitable for use with <a
                                            href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                            title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createStubWorkbook-org.apache.poi.hssf.record.ExternSheetRecord:A-org.apache.poi.hssf.record.BoundSheetRecord:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createStubWorkbook</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                        title="class in org.apache.poi.hssf.model">InternalWorkbook</a>&nbsp;createStubWorkbook(<a
                                        href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                        title="class in org.apache.poi.hssf.record">ExternSheetRecord</a>[]&nbsp;externs,
                                                  <a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                                                     title="class in org.apache.poi.hssf.record">BoundSheetRecord</a>[]&nbsp;bounds)</pre>
                                <div class="block">Creates a stub workbook from the supplied records,
                                    suitable for use with the <a
                                            href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                            title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>externs</code> - The ExternSheetRecords in your file</dd>
                                    <dd><code>bounds</code> - The BoundSheetRecords in your file</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A stub Workbook suitable for use with <a
                                            href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html"
                                            title="class in org.apache.poi.hssf.model"><code>HSSFFormulaParser</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EventWorkbookBuilder.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/AbortableHSSFListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>
            <a href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.html"
               target="_top">Frames</a></li>
        <li><a href="EventWorkbookBuilder.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
